/*****************************************************************************
|*
|*  PACKAGE:            AX/HX93X Firmware
|*
|*  VERSION CONTROL:    @(#)eval.h	1.1 98/06/19
|*
|*  COPYRIGHT:          Copyright (c) 1998 Tasking Software B.V.
|*
|*  DESCRIPTION:
|*
|*      Intel AX/HX93X evaluation board definitions
|*
 ****************************************************************************/

#if !defined( _CC51 )
#include "reg930xx.h"
#endif

#ifndef _EVAL_H
#define _EVAL_H

//#define USB_VENDOR_ID		0x0628	/* TASKING Inc. Vendor identification (#1576) */
#define USB_VENDOR_ID		0x8086	/* Intel Vendor ID (8086) */
#define USB_PRODUCT_ID		0x9890	/* your first product identification! */
//#define USB_VENDOR_ID		0x045E	/* Intel Vendor ID (8086) */
//#define USB_PRODUCT_ID       	0x930A	/* your first product identification! */
#define USB_DEVICE_ID		0x0180	/* your first device number: 1.0 (BCD) */
#define USB_SWAP_BYTES			/* 8x93X is big endian, USB assumes little */

#define	LED_PORT         P1             /* Port 1 used for displaying SOF's, etc. */
#define	HEARTBEAT_LED    P1_3           /* Port 1.3 used for heartbeat LED display */

#endif /* _EVAL_H */


