/*****************************************************************************
|*
|*  VERSION CONTROL:    @(#)hub.h	1.1 98/06/19
|*
|*  IN PACKAGE:         HX93X Firmware
|*
|*  COPYRIGHT:          Copyright (c) 1998 Tasking Software B.V.
|*
|*  DESCRIPTION:
|*
|*	Universal serial bus 93XHX hub class device, hub endpoint 0 definitions 
|*	and other firmware definitions
|*
 ****************************************************************************/

#ifndef _HUB_H
#define _HUB_H

void initialize_hub		( void );

#if defined( _REG931HX_SFR )
#define EMBEDDED_PORT_NUMBER	1	/* for 931 embedded port always 1	 */
#else
#define EMBEDDED_PORT_NUMBER	4	/* for 930 embedded port always 4	 */
#endif
#define DOWN_STREAMS		5	/* number of down streams including embedded one */

#define IDX_INTERFACE_NR0	0	/* array index current interface */
#define ALT_INTERFACE_NR0	0	/* no alternate interface number */

#endif /* _HUB_H */

